@import url('https://fonts.googleapis.com/css2?family=Rajdhani:wght@300;400;500;600;700&display=swap');

:root {
  --main-color: rgb(40, 40, 40);
  --border-color: rgb(172, 170, 170);
  --dark-bg: rgb(235, 235, 235);
  --light-bg: white;
  --light-blue: rgb(12, 120, 221);
  --blue: blue;
  --announcement-color: red;
}

::-webkit-scrollbar {
  width: 7px;
  border-left: 1px solid var(--border-color);
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
}

* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  color: var(--main-color);
  font-family: 'Rajdhani', sans-serif;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  /* font-size: 18px; */
  /* border: 1px solid lightgray; */
}

ul > li,
ol > li {
  margin-left: 1em;
}

strong {
  font-weight: 550;
}

hr {
  margin: 12px 0px;
  border-top: 1px;
  border-color: var(--border-color);
}

body {
  min-height: 100vh;
  background-color: var(--light-bg);
  display: flex;
  flex-direction: column;
}

::selection {
  color: white;
  background: gray;
}

h1,
h2,
h3,
h4 {
  font-weight: 450;
}

.blue-link {
  color: var(--blue);
}

.blue-link:hover {
  text-decoration: underline;
  cursor: pointer;
}

.card {
  box-shadow: rgba(17, 17, 26, 0.05) 0px 1px 0px,
    rgba(17, 17, 26, 0.1) 0px 0px 8px;
  border-radius: 5px;
  padding: 15px;
}

.headertop {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 1.25rem 5.5rem;
  background-color: var(--dark-bg);
}

.logo {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.clg-name {
  text-align: end;
  font-size: 1.25em;
  font-weight: 450;
}

.logo img {
  vertical-align: middle;
  max-height: 90px;
  margin-left: 1em;
}

.title {
  font-size: 2.25em;
  font-weight: 550;
}

.subtitle {
  font-size: 1.25em;
  font-weight: 450;
}

.navbar {
  padding: 0 5.5rem;
  background-color: var(--dark-bg);
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  position: sticky;
  top: 0;
  z-index: 2;
}

.special-navlink {
  color: var(--light-blue);
}

.special-navlink:hover,
.special-active {
  background-color: var(--light-blue) !important;
}

.navlink,
.drop-link {
  border: none;
  font-size: 1em;
  padding: 0.75em 1.25em;
  transition: 0.25s;
  font-weight: 500;
  text-align: left;
  background-color: transparent;
}

.navlink:hover,
.drop-link:hover,
.active-link {
  cursor: pointer;
  background-color: var(--main-color);
  color: white;
  transition: 0.25s;
}

.navlink:hover .nav-icon,
.drop-link:hover i {
  color: white;
}

.active-link > i {
  color: white;
}

/* .drop-down {
  position: relative;
} */

.drop-down-content {
  z-index: 3;
  position: absolute;
  flex-direction: column;
  background-color: var(--dark-bg);
  display: none;
  min-width: 15vw;
}

.drop-down:hover .fa-chevron-down {
  transform: rotate(180deg);
  transition: 0.25s;
}

.drop-down:hover .drop-down-content {
  animation: drop 0.1s linear 1;
  display: flex;
}

@keyframes drop {
  0% {
    transform: translateY(-20px);
    opacity: 0%;
  }
  100% {
    transform: translateY(0px);
    opacity: 100%;
  }
}

.fa-chevron-down {
  transition: 0.25s;
  font-size: 10px;
}

.fa-plus,
.fa-minus {
  font-size: 12px;
}

.centered-icon-container {
  display: flex;
  align-items: center;
  gap: 0.5em;
}

.main-content {
  margin: 2rem 5.5rem;
}

.main-content > div {
  display: none;
}

#home {
  display: block;
}

.home-content {
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-gap: 0 60px;
}

.imp-heading {
  background-color: var(--main-color);
  color: var(--light-bg);
  padding: 5px;
}

.registration-table,
.deadlines-table {
  width: 100%;
  border-collapse: collapse;
  text-align: center;
}

.registration-table td,
.deadlines-table td {
  padding: 5px;
  border: 1px solid var(--border-color);
}

.content-list {
  margin: 10px 0px;
}

#home-slide-img {
  width: 100%;
  display: block;
  border-radius: 8px;
}

.contact-container {
  display: flex;
  align-items: center;
  flex-direction: row;
}

.contact-photo {
  height: 70px;
  margin-right: 10px;
  border-radius: 5px;
}

.footer {
  background-color: var(--dark-bg);
  padding: 1.5rem 5.5rem;
  margin-top: auto;
}

.footer * {
  color: black;
}

.social-links-container {
  display: flex;
  grid-column-start: 2;
  gap: 0.5em;
  flex-wrap: wrap;
}

.social-link {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 1em;
  aspect-ratio: 1 / 1;
  padding: 1.1em;
  border-radius: 50%;
  border: 1px solid var(--main-color);
  transition: 0.25s;
}

.social-link:hover {
  background-color: var(--main-color);
  transition: 0.25s;
}

.social-link:hover .footer-icon {
  color: white;
}

.footer-section {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 4rem;
}

.quick-links-container {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.quick-link {
  color: var(--main-color);
  font-weight: 400;
  width: fit-content;
}

.quick-link:hover {
  text-decoration: underline;
  cursor: pointer;
}

.directions-container {
  display: grid;
  align-items: center;
  grid-template-columns: 3fr 2fr;
  gap: 0px 40px;
}

.map {
  position: relative;
  float: right;
  border: none;
  padding: 5px;
  border-radius: 5px;
  margin: 0px 0px 30px 30px;
}

.slideshow-container {
  position: relative;
}

.slide-prev,
.slide-next {
  top: 0px;
  display: none;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  justify-content: center;
  align-items: center;
  border: 1px solid var(--border-color);
  height: 40px;
  width: 40px;
  border-radius: 50%;
  background: var(--light-bg);
  transition: 0.2s;
}

.slide-next {
  right: 0;
  transform: translate(+50%, -50%);
}

.slide-next:hover,
.slide-prev:hover {
  background-color: var(--main-color);
  width: 48px;
  height: 48px;
  border-color: var(--light-bg);
}

.fa-chevron-left,
.fa-chevron-right {
  color: var(--main-color);
}

.slide-next:hover .fa-chevron-right,
.slide-prev:hover .fa-chevron-left {
  color: var(--light-bg);
}

.slideshow-container:hover .slide-prev,
.slideshow-container:hover .slide-next {
  display: flex;
  cursor: pointer;
}

.download-link-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 8px;
}

.fa-download {
  font-size: 12px;
  color: var(--blue);
  margin-left: 4px;
}

.committee-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  padding-bottom: 12px;
  margin-bottom: 12px;
  border-bottom: 1px solid var(--border-color);
}

.committee-container + ul {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.announcement-container {
  overflow: hidden;
}

.announcement {
  color: var(--announcement-color);
  font-weight: 600;
  text-align: left;
  margin-bottom: 20px;
}

.fa-bullhorn {
  color: var(--announcement-color);
  margin-right: 5px;
}

@keyframes moveleft {
  from {
    transform: translateX(100%);
  }

  to {
    transform: translateX(-65%);
  }
}

.springer {
  display: flex;
  gap: 15px;
  align-items: center;
  justify-content: space-evenly;
}

#springer-logo,
#lncs-logo {
  width: 12em;
}

.sponsor-logo {
  width: 70%;
}

.sponsor-container {
  text-align: center;
}

.payment-container {
  border: 1px solid var(--border-color);
  padding: 0.8em;
  border-radius: 5px;
}

.hotels-container {
  display: flex;
  gap: 30px;
  border-radius: 5px;
}

.hotel-pic-container {
  display: flex;
  align-items: center;
}

.hotel-pic-container > img {
  width: 18em;
  border-radius: 5px;
}

.hotel-links-container {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.accepted-papers-list > li {
  padding: 1em;
  border-bottom: 1px solid var(--dark-bg);
}

.accepted-paper-container > strong {
  font-size: 1.1em;
}

.accepted-papers-list > li:nth-child(odd) {
  background-color: rgba(116, 188, 255, 0.08);
}

.schedule-day-container {
  display: flex;
  flex-direction: column;
  padding: 1em 0em;
}

.day-info {
  display: flex;
  align-items: center;
  justify-content: space-around;
  font-weight: bold;
  font-size: 1.1em;
  padding: 0.5em;
  background-color: var(--light-blue);
}

.day-info p {
  color: white;
}

.program-schedule-table {
  width: 100%;
  box-sizing: border-box;
  border-collapse: collapse;
}

.program-schedule-table td {
  padding: 0.8em 0.5em;
  border: 1px solid var(--border-color);
  font-weight: 500;
}

.speaker-type-heading {
  background-color: var(--light-blue);
  color: white;
  padding: 0.8em;
  border-radius: 0.25em;
  font-weight: 600;
  font-size: 1.1em;
  margin-bottom: 1em;
}

#speakers section {
  margin-bottom: 3em;
}

.speaker-container {
  border-left: 1px solid var(--light-blue);
  margin-bottom: 1em;
  padding: 1.3em;
  transition: 0.2s;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 3px 0px,
    rgba(0, 0, 0, 0.06) 0px 1px 2px 0px;
}

.speaker-container:hover {
  box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
  transition: 0.2s;
}

.speaker-abstract-container {
  display: flex;
  flex-direction: row;
  gap: 2em;
  align-items: center;
}

.speaker-abstract-container:hover {
  cursor: pointer;
}

.speaker-img-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.speaker-img-container img {
  max-height: 80px;
  border-radius: 0.25em;
}

.speaker-details-container {
  display: flex;
  flex-direction: column;
  gap: 0.8em;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}
